Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 601132 - x11-base/xorg-drivers: enable INPUT_DEVICES libinput by default
Summary: x11-base/xorg-drivers: enable INPUT_DEVICES libinput by default
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matt Turner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 580474 gnome-3.22
  Show dependency tree
 
Reported: 2016-11-28 21:03 UTC by Pacho Ramos
Modified: 2017-03-24 16:14 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch (p.patch,622 bytes, patch)
2017-01-18 00:56 UTC, Matt Turner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2016-11-28 21:03:53 UTC
Hello

For gnome we will need to set it anyway (probably in our profiles if needed), but, anyway, I would like to let you know that synaptics upstream has started to even close the bugs as WONTFIX as soon as we don't provide patches ourselves:
https://bugs.freedesktop.org/show_bug.cgi?id=20371#c18

Then, maybe we should think in trying to migrate from evdev+synaptics to libinput or, if that is premature (Cinnamon looks to be already fully compatible with libinput, GNOME wants libinput and, if I don't misremember, KDE and XFCE work with all... but I think MATE is pending still), maybe at least we could get libinput added to :/

Well, your call, maybe we can wait a bit more... but sooner or later we will need to migrate to libinput (as other distributions like opensuse, fedora... did) and only pull the legacy drivers when people really wants them for corner cases.

Thanks!
Comment 1 Pacho Ramos gentoo-dev 2016-11-28 21:04:25 UTC
This for evdev:
https://bugs.freedesktop.org/show_bug.cgi?id=20770#c4
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2016-11-28 22:04:13 UTC
Perhaps not a good iead at this point.
I tried to use libinput on two systems and on both xorg-server did not find (or configure properly, didn't look into that more closely) my keyboards with libinput.
Comment 3 Matt Turner gentoo-dev 2016-11-28 22:07:46 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #2)
> Perhaps not a good iead at this point.
> I tried to use libinput on two systems and on both xorg-server did not find
> (or configure properly, didn't look into that more closely) my keyboards
> with libinput.

Please look into it more closely. We're already way behind the libinput switch.
Comment 4 Pacho Ramos gentoo-dev 2016-11-30 09:12:38 UTC
Yeah, I am using it for a long time on multiple machines without any issues, and also most distros are also using it... and most Gnome 3.20 users on Gentoo too :/
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2016-12-02 20:44:51 UTC
Okay, here's what I found out on the two ~amd64 systems that I use most frequently:

Having a keyboard section in my /etc/X11/xorg.conf file that looks like this:


Section "InputClass"
    Identifier  "keyboard-all"
    Driver      "evdev"
    #Driver     "libinput"

    Option "XkbRules"   "xorg"
    Option "XkbModel"   "logitech_g15"
    Option "XkbLayout"  "de"
    Option "XkbVariant" "nodeadkeys"
    Option "XkbOptions" "terminate:ctrl_alt_bksp"
    MatchIsKeyboard "on"
EndSection


Now as soon as I switch the driver to libinput I have broken key mapping. It's not many keys but the most annoying breakage is that the "up" cursor key now emits the "print screen" key event while the "print screen" key seems to be dead.

Imagine how annoying it is to be in a terminal (xterm, konsole, etc.) and you cannot walk through the shell history but rather get lots of screenshots :-/
Comment 6 Pacho Ramos gentoo-dev 2016-12-04 11:07:12 UTC
You probably should open a concrete bug report with your issues to try to get them fixed ever... if they are not causing by the concrete/custom xorg.conf snipped that would need to be updated for libinput usage :/
Comment 7 Matt Turner gentoo-dev 2016-12-05 03:48:53 UTC
<whot> | mattst88: tell Lars to remove the XkbRules line, he explicitly configures it for the old AT scancodes. the only reason this worked is because evdev always overrides this setting (to avoid exactly that bug)
<whot> | mattst88: but either way it's a clear misconfiguration
Comment 8 Pacho Ramos gentoo-dev 2016-12-14 10:38:55 UTC
In that case, could this be handled if possible? I think this needs to be done from profiles, right?
Comment 9 Pacho Ramos gentoo-dev 2017-01-09 15:00:59 UTC
(In reply to Pacho Ramos from comment #8)
> In that case, could this be handled if possible? I think this needs to be
> done from profiles, right?

I am not sure if we would need a news item for this. In general, people not "playing" with xorg.conf files won't need to touch anything but ensure they are setting INPUT_DEVICES="libinput" instead of whatever value they had there (for the case of people not relying on profiles default for that).

For people having custom configs in xorg.conf.d... I am unsure if we can do much more than pointing them to "man 4 libinput" to know about the options they can use now. I have tried to find some migrations guides or similar from other distributions (as most are running libinput for a long time already) but I couldn't find anything special that we could add to:
https://wiki.gentoo.org/wiki/Libinput
Comment 10 Matt Turner gentoo-dev 2017-01-18 00:56:29 UTC
Created attachment 460506 [details, diff]
patch

How about this?
Comment 11 Adam Feldman gentoo-dev 2017-01-18 01:34:04 UTC
MATE is targeting support for libinput for the next release. We can look into backporting the upstream patches when they are all completed, if necessary.
Comment 12 Pacho Ramos gentoo-dev 2017-01-20 14:17:21 UTC
(In reply to Matt Turner from comment #10)
> Created attachment 460506 [details, diff] [details, diff]
> patch
> 
> How about this?

+1
Comment 13 Matt Turner gentoo-dev 2017-01-20 17:53:21 UTC
Done:

commit d3ac878318dd96a88190a13b5ac7572ec0c56380
Author: Matt Turner <mattst88@gentoo.org>
Date:   Fri Jan 20 09:51:39 2017 -0800

    profiles: Switch default INPUT_DEVICES to libinput on Linux.